org.apache.uima.jcas.cas

## Class EmptyIntegerList_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.IntegerList_Type
    - - org.apache.uima.jcas.cas.EmptyIntegerList_Type

-     public class EmptyIntegerList_Type
      extends IntegerList_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EmptyIntegerList_Type()`
    `` | `EmptyIntegerList_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### featOkTst

          public static final boolean featOkTst

  - ### Constructor Detail

    - #### EmptyIntegerList_Type

          public EmptyIntegerList_Type(JCas jcas,
                                       Type casType)

    - #### EmptyIntegerList_Type

          protected EmptyIntegerList_Type()

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `IntegerList_Type`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.